## cantor 4.14.2

=== CMakeLists.txt ===
project(cantor)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

macro_optional_find_package(Analitza)
macro_log_feature(Analitza_FOUND "libanalitza" "A library provided by KAlgebra" FALSE "" "Backend to use KAlgebra with Cantor.")

macro_optional_find_package(R)
macro_log_feature(R_FOUND "R" "A free software environment for statistical computing and graphics" "http://www.r-project.org/" FALSE "" "Backend to use R with Cantor.")

if(NOT WIN32)
  macro_optional_find_package(LibSpectre)
  macro_log_feature(LIBSPECTRE_FOUND "libspectre" "A PostScript rendering library" "http://libspectre.freedesktop.org/wiki/" FALSE "${LIBSPECTRE_MINIMUM_VERSION}" "Support for rendering EPS files in Cantor.")

  if(LIBSPECTRE_FOUND)
    set( WITH_EPS On )
  else(LIBSPECTRE_FOUND)
    set( WITH_EPS Off )
  endif(LIBSPECTRE_FOUND)
else(NOT WIN32)
  set( WITH_EPS Off )
endif(NOT WIN32)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )

if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
   macro_display_feature_log()
endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

install( FILES cantor.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/ )

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR cantor)

=== src/CMakeLists.txt ===
#########################################################################
# Subdirectories
#########################################################################
add_subdirectory(lib)

include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
if(KDE4_BUILD_TESTS)
  include_directories( lib/test )
endif(KDE4_BUILD_TESTS)

if(LIBSPECTRE_FOUND)
   include_directories(${LIBSPECTRE_INCLUDE_DIR})
endif(LIBSPECTRE_FOUND)
add_subdirectory(backends)
add_subdirectory(assistants)
add_subdirectory(xslt)
add_subdirectory(panelplugins)


#build the config object in a separate library, shared between shell and part
kde4_add_kcfg_files(config_SRCS settings.kcfgc)
kde4_add_library( cantor_config  SHARED ${config_SRCS} )
target_link_libraries( cantor_config ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS} )
install( TARGETS cantor_config  ${INSTALL_TARGETS_DEFAULT_ARGS} )

set(cantor_SRCS
   main.cpp
   cantor.cpp
   backendchoosedialog.cpp
 )

install(FILES cantor.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_ui_files(cantor_SRCS settings.ui)
kde4_add_ui_files(cantor_SRCS backendchooser.ui)

kde4_add_app_icon(cantor_SRCS
   "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-cantor.png")
kde4_add_executable(cantor ${cantor_SRCS})

target_link_libraries(cantor ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS} cantorlibs cantor_config)

########### install files ###############
install(TARGETS cantor ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS cantor.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES cantor_shell.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )

install( FILES cantor.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES cantor_maxima.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES cantor_sage.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES cantor_kalgebra.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES cantor_python2.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
if (R_FOUND)
  install( FILES cantor_r.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
endif (R_FOUND)

#########################################################################
# KPART SECTION
#########################################################################
#kde_module_LTLIBRARIES = libcantorpart.la
set(cantor_PART_SRCS
   cantor_part.cpp
   worksheet.cpp
   worksheetview.cpp
   worksheetentry.cpp
   worksheettextitem.cpp
   worksheetimageitem.cpp
   commandentry.cpp
   textentry.cpp
   pagebreakentry.cpp
   imageentry.cpp
   latexentry.cpp
   placeholderentry.cpp
   worksheetcursor.cpp
   searchbar.cpp
   actionbar.cpp
   worksheettoolbutton.cpp
   imagesettingsdialog.cpp
   scripteditorwidget.cpp
   resultitem.cpp
   textresultitem.cpp
   imageresultitem.cpp
   animationresultitem.cpp
   loadedexpression.cpp
   animation.cpp
   epsrenderer.cpp
 )

kde4_add_ui_files(cantor_PART_SRCS imagesettings.ui)
kde4_add_ui_files(cantor_PART_SRCS standardsearchbar.ui)
kde4_add_ui_files(cantor_PART_SRCS extendedsearchbar.ui)


configure_file (config-cantor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor.h )

kde4_add_plugin(cantorpart WITH_PREFIX ${cantor_PART_SRCS})

#add_library(blahtexcore STATIC IMPORTED)
#set_property(TARGET blahtexcore PROPERTY IMPORTED_LOCATION Path_To_BlahtexCore_Library/libblahtexcore.a)

target_link_libraries(cantorpart ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS}
				     ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTXMLPATTERNS_LIBRARY}
				     cantorlibs cantor_config )
if(LIBSPECTRE_FOUND)
   target_link_libraries(cantorpart ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)

install( FILES cantor_part.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor )
install( FILES cantor_part.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install( FILES cantor_scripteditor.rc  DESTINATION ${DATA_INSTALL_DIR}/cantor )

install(TARGETS cantorpart  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== src/assistants/plot2d/CMakeLists.txt ===
set( Plot2dAssistant_SRCS 
     plot2dassistant.cpp
)

kde4_add_ui_files(Plot2dAssistant_SRCS plot2ddlg.ui)

kde4_add_plugin( cantor_plot2dassistant ${Plot2dAssistant_SRCS} )
target_link_libraries( cantor_plot2dassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES plot2dassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_plot2d_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_plot2dassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
cantor (4:4.14.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Update patches:
    - octave_force_use_of_gnuplot: drop, applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:51:53 +0200

cantor (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:24 +0200

cantor (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Package the Lua backend:
    - add a new cantor-backend-lua binary, and mention it in cantor
    - add the libluajit-5.1-dev build dependency
    - restrict it to amd64 and i386 only for now, since luajit is not
      available on all the architectures

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:00:02 +0200

cantor (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:58:28 +0200

cantor (4:4.13.3-2) unstable; urgency=medium

  * Remove patch: testmaxima_inforeq_test, maxima honours the prompts
    again.
  * New patch: maxima_multiresults
  * New patch: acceptable_answers
  * New patch: maxima_waiting_the_carriage

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Aug 2014 21:55:35 +0000

cantor (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Update blas and lapack b-d. (Closes: #750782) Thanks to Sébastien
    Villemot

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 11:41:11 +0200

cantor (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update analitza build-dep.
  * Remove upstream applied patch: no_install_rpath_use_link_path.diff
  * Remove upstream applied patch: maxima_backend_ps_file
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 16:58:42 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libanalitza-dev (>= 4:4.13),
               libblas3,
               libglib2.0-dev,
               liblapack3,
               libqalculate-dev,
               libspectre-dev,
               libluajit-5.1-dev [i386 amd64],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               python2.7-dev,
               r-base-core
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cantor.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-qalculate,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [i386 amd64],
          cantor-backend-lua [i386 amd64],
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * KAlgebra (cantor-backend-kalgebra)
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: python, ${misc:Depends}, ${shlibs:Depends}
Description: Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 i386
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: cantor (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/cantor-([\d.]+).tar.xz

## cantor 14.11.97

=== debian/changelog ===
cantor (4:14.11.97-0ubuntu2) vivid; urgency=medium

  * Remove kalgebra backend, needs porting to Qt 5 for new libanalitza

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 17:27:35 +0100

cantor (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Tidy up debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 11:52:32 +0100

cantor (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 08:22:03 -0800

cantor (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Add missing *.knsrc files to cantor.install
  * Debian merge, remaining changes:
   - Add transitional package for cantor-backend-python2
     with accompanying breaks/replace.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 21 Nov 2014 15:36:36 -0800

cantor (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:33:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -11,9 +11,9 @@
                libblas3,
                libglib2.0-dev,
                liblapack3,
+               libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
                libspectre-dev,
-               libluajit-5.1-dev [i386 amd64],
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python2.7-dev,
@@ -21,22 +21,22 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cantor.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cantor.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cantor.git
 
 Package: cantor
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-maxima,
+Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-lua [i386 amd64],
+          cantor-backend-maxima,
           cantor-backend-octave,
           cantor-backend-python2,
           cantor-backend-qalculate,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [i386 amd64],
-          cantor-backend-lua [i386 amd64],
+          cantor-backend-scilab [i386 amd64]
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -45,7 +45,6 @@
  .
  Cantor supports various mathematical applications as backends (provided in
  external packages):
-  * KAlgebra (cantor-backend-kalgebra)
   * Maxima Computer Algebra System (cantor-backend-maxima)
   * R Project for Statistical Computing (cantor-backend-r)
   * Sage Mathematics Software (cantor-backend-sage)
@@ -57,20 +56,21 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-kalgebra
-Architecture: any
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: KAlgebra backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using KAlgebra
- (http://edu.kde.org/kalgebra) in Cantor.
- .
- This package is part of the KDE education module.
+# Need ported to Qt 5 for new libanalitza
+#Package: cantor-backend-kalgebra
+#Architecture: any
+#Section: math
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Description: KAlgebra backend for Cantor
+# Cantor is an application to allow you to you use your favorite mathematical
+# applications from within an elegant worksheet interface. It provides dialogs
+# to assist with common tasks and allows you to share your worksheets
+# with others.
+# .
+# This package provides the backend for using KAlgebra
+# (http://edu.kde.org/kalgebra) in Cantor.
+# .
+# This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
 Architecture: any
@@ -105,6 +105,8 @@
 Package: cantor-backend-python2
 Architecture: any
 Section: math
+Breaks: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
+Replaces: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
 Depends: python, ${misc:Depends}, ${shlibs:Depends}
 Description: Python backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
@@ -209,3 +211,13 @@
  binaries included in cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-backend-python
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: cantor-backend-python2
+Description: Python backend for Cantor -- transitional package
+ Transitional package for cantor-backend-python2
+ .
+ This package can be safely removed after installation

## cantor 14.12.0

=== debian/changelog ===
cantor (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:13:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libanalitza-dev (>= 4:4.13),
+               kdelibs5-dev,
+               libanalitza-dev (>= 4:14.12.0),
                libblas3,
                libglib2.0-dev,
                liblapack3,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=cantor-dbg

## cantor 14.12.2

=== debian/changelog ===
cantor (4:14.12.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove weaker suggests cantor-backend-qalculate, as
    it is already a recommends. 

  [ Harald Sitter ]
  * Add python-numpy to tests dependencies, should fix python test

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 05 Feb 2015 20:49:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libanalitza-dev (>= 4:14.12.0),
+               libanalitza5-dev (>= 4:4.14),
                libblas3,
                libglib2.0-dev,
                liblapack3,
@@ -28,12 +28,12 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-lua [i386 amd64],
+Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-qalculate,
+          cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
-          cantor-backend-python2,
-          cantor-backend-qalculate,
+          cantor-backend-python2,  
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [i386 amd64]
@@ -57,20 +57,20 @@
  This package is part of the KDE education module.
 
 # Need ported to Qt 5 for new libanalitza
-#Package: cantor-backend-kalgebra
-#Architecture: any
-#Section: math
-#Depends: ${misc:Depends}, ${shlibs:Depends}
-#Description: KAlgebra backend for Cantor
-# Cantor is an application to allow you to you use your favorite mathematical
-# applications from within an elegant worksheet interface. It provides dialogs
-# to assist with common tasks and allows you to share your worksheets
-# with others.
-# .
-# This package provides the backend for using KAlgebra
-# (http://edu.kde.org/kalgebra) in Cantor.
-# .
-# This package is part of the KDE education module.
+Package: cantor-backend-kalgebra
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: KAlgebra backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using KAlgebra
+ (http://edu.kde.org/kalgebra) in Cantor.
+ .
+ This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
 Architecture: any

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         gnuplot, python-numpy
Restrictions: build-needed

## cantor 14.12.3

=== debian/changelog ===
cantor (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Release to vivid

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 11 Mar 2015 14:52:09 -0700

cantor (4:14.12.2-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove weaker suggests cantor-backend-qalculate, as
    it is already a recommends. 

  [ Harald Sitter ]
  * Add python-numpy to tests dependencies, should fix python test

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 05 Feb 2015 20:49:17 +0000

## cantor 15.04.2

=== CMakeLists.txt ===
project(cantor)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

add_definitions(-DMAKE_CANTORLIBS_LIB)

find_package(ECM 1.1.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 CONFIG REQUIRED
    Core
    Widgets
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 REQUIRED
    Config
    NewStuff
    TextEditor
    CoreAddons
    Archive
    Parts
    Pty
    KDELibs4Support)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LibSpectre_FOUND)
        set(WITH_EPS On)
    else(LibSpectre_FOUND)
        set(WITH_EPS Off)
    endif(LibSpectre_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

include_directories(${KDE4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.cantor.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
#

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR cantor)

=== src/assistants/advancedplot/CMakeLists.txt ===
set( AdvancedPlotAssistant_SRCS
     advancedplotassistant.cpp
)

ki18n_wrap_ui(AdvancedPlotAssistant_SRCS advancedplotdialog.ui directivecontainer.ui)

add_library( cantor_advancedplotassistant MODULE ${AdvancedPlotAssistant_SRCS} )
target_link_libraries( cantor_advancedplotassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES advancedplotassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_advancedplot_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_advancedplotassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/assistants/differentiate/CMakeLists.txt ===
set( DifferentiateAssistant_SRCS
     differentiateassistant.cpp
)

ki18n_wrap_ui(DifferentiateAssistant_SRCS differentiatedlg.ui)

add_library( cantor_differentiateassistant MODULE ${DifferentiateAssistant_SRCS} )
target_link_libraries( cantor_differentiateassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES differentiateassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_differentiate_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_differentiateassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/assistants/importpackage/CMakeLists.txt ===
set( ImportPackageAssistant_SRCS
     importpackageassistant.cpp
)

ki18n_wrap_ui(ImportPackageAssistant_SRCS importpackagedlg.ui)

add_library(cantor_importpackageassistant MODULE ${ImportPackageAssistant_SRCS})
target_link_libraries( cantor_importpackageassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES importpackageassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_import_package_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_importpackageassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/assistants/plot3d/CMakeLists.txt ===
set( Plot3dAssistant_SRCS
     plot3dassistant.cpp
)

ki18n_wrap_ui(Plot3dAssistant_SRCS plot3ddlg.ui)

add_library( cantor_plot3dassistant MODULE ${Plot3dAssistant_SRCS} )
target_link_libraries( cantor_plot3dassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES plot3dassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_plot3d_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_plot3dassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/assistants/solve/CMakeLists.txt ===
set( SolveAssistant_SRCS
     solveassistant.cpp
)

ki18n_wrap_ui(SolveAssistant_SRCS solvedlg.ui)

add_library( cantor_solveassistant MODULE ${SolveAssistant_SRCS} )
target_link_libraries( cantor_solveassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES solveassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_solve_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_solveassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/lua/CMakeLists.txt ===
set(LuaBackend_SRCS
    luabackend.cpp
    luasession.cpp
    luaexpression.cpp
    luacompletionobject.cpp
    luahelper.cpp
    luahighlighter.cpp
    luaextensions.cpp
)

kconfig_add_kcfg_files(LuaBackend_SRCS settings.kcfgc)
install(FILES luabackend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

ki18n_wrap_ui(LuaBackend_SRCS settings.ui)

add_library(cantor_luabackend MODULE ${LuaBackend_SRCS})

include_directories(${LUAJIT_INCLUDE_DIR})

target_link_libraries(cantor_luabackend ${LUAJIT_LIBRARY} cantorlibs)

install(FILES cantor_lua.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install(FILES  luabackend.desktop DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_luabackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/null/CMakeLists.txt ===
set( NullBackend_SRCS
 nullbackend.cpp
 nullsession.cpp
 nullexpression.cpp
 nullcompletionobject.cpp
)

add_library(cantor_nullbackend MODULE ${NullBackend_SRCS} )
target_link_libraries(cantor_nullbackend cantorlibs)

install( FILES nullbackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_nullbackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/octave/CMakeLists.txt ===
# find_package(KDE4 REQUIRED KIO KDIRWATCH)

set( OctaveBackend_SRCS
octavebackend.cpp
octavesession.cpp
octaveexpression.cpp
octaveextensions.cpp
octavehighlighter.cpp
octavecompletionobject.cpp
octavesyntaxhelpobject.cpp
)

set (OCTAVE_SCRIPT_INSTALL_DIR ${DATA_INSTALL_DIR}/cantor/octavebackend)
set (OCTAVE_SCRIPT_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${OCTAVE_SCRIPT_INSTALL_DIR}/)
configure_file (octave-backend-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/octave-backend-config.h )
add_subdirectory(scripts)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES octavebackend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

ki18n_wrap_ui(OctaveBackend_SRCS settings.ui)

add_library(cantor_octavebackend MODULE ${OctaveBackend_SRCS} )
target_link_libraries(cantor_octavebackend
    cantorlibs
    KF5::KIOCore
    KF5::ConfigCore
    KF5::ConfigGui
    )


if(BUILD_TESTING)
 add_executable( testoctave testoctave.cpp)
 add_test(testoctave testoctave)
 ecm_mark_as_test(testoctave)
 target_link_libraries( testoctave
   KF5::KDELibs4Support
   Qt5::Test
   cantorlibs
   cantortest
 )
endif(BUILD_TESTING)

install(FILES cantor_octave.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install(FILES octavebackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_octavebackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/python/CMakeLists.txt ===
set( PythonBackend_SRCS
     pythonbackend.cpp
     pythonsession.cpp
     pythonexpression.cpp
     pythonkeywords.cpp
     pythonhighlighter.cpp
     pythoncompletionobject.cpp
     pythonextensions.cpp
     )

qt5_add_resources(PythonBackend_RSCS python.qrc)

ki18n_wrap_ui(PythonBackend_SRCS settings.ui)

add_library(cantor_pythonbackend SHARED ${PythonBackend_SRCS} ${PythonBackend_RSCS})
target_link_libraries(cantor_pythonbackend
    cantorlibs
    KF5::KIOCore
    KF5::ConfigCore
    KF5::ConfigGui)

install(TARGETS cantor_pythonbackend DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(FILES keywords.xml DESTINATION ${DATA_INSTALL_DIR}/cantor/pythonbackend)
#install(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/cantor/pythonbackend FILES_MATCHING PATTERN "*.py")

=== src/backends/python2/CMakeLists.txt ===
set( Python2Backend_SRCS
     python2backend.cpp
     python2session.cpp
)

kconfig_add_kcfg_files(Python2Backend_SRCS settings.kcfgc)

if(MSVC)
    # ssize_t is typedef'd in both kdewin and python headers, this prevents using the kdewin one
    add_definitions(-D_SSIZE_T_DEFINED)
endif(MSVC)

include_directories(${PYTHON_LIBRARIES_DIR})
include_directories(${PYTHON_INCLUDE_DIR})

add_library(cantor_python2backend MODULE ${Python2Backend_SRCS})
target_link_libraries(cantor_python2backend
    ${PYTHON_LIBRARIES}
    cantorlibs
    cantor_pythonbackend
    )

add_executable(testpython2 testpython2.cpp)
target_link_libraries(testpython2 ${QT_QTTEST_LIBRARY} cantorlibs cantortest)

add_test(NAME testpython2 COMMAND testpython2)

install(FILES cantor_python2.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})
install(FILES python2backend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_python2backend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES python2backend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
cantor (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Fix build failure for R versions >= 3.2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jun 2015 12:42:23 +0200

cantor (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:22:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,57 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libanalitza5-dev (>= 4:4.14),
-               libblas3,
+               extra-cmake-modules,
+               gettext,
+               kdoctools-dev,
+               kgendesignerplugin,
+               kinit-dev,
+               kio-dev,
+               libanalitza-dev,
                libglib2.0-dev,
-               liblapack3,
+               libkf5archive-dev,
+               libkf5attica-dev,
+               libkf5auth-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kdelibs4support-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5pty-dev,
+               libkf5service-dev,
+               libkf5solid-dev,
+               libkf5sonnet-dev,
+               libkf5texteditor-dev,
+               libkf5textwidgets-dev,
+               libkf5unitconversion-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
                libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
+               libqt5svg5-dev,
+               libqt5xmlpatterns5-dev,
                libspectre-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               python2.7-dev,
+               pkg-kde-tools (>> 0.15.15),
+               python-dev,
+               python3-dev,
+               qtbase5-dev,
                r-base-core
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
@@ -28,12 +67,13 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-qalculate,
+Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-kalgebra,
           cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
-          cantor-backend-python2,  
+          cantor-backend-python2,
+          cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [i386 amd64]
@@ -49,14 +89,38 @@
   * R Project for Statistical Computing (cantor-backend-r)
   * Sage Mathematics Software (cantor-backend-sage)
   * Octave (cantor-backend-octave)
-  * Python (cantor-backend-python2)
+  * Python (cantor-backend-python2 and cantor-backend-python3)
   * Scilab (cantor-backend-scilab)
   * Qalculate! (cantor-backend-qalculate)
   * Lua (cantor-backend-lua)
  .
  This package is part of the KDE education module.
 
-# Need ported to Qt 5 for new libanalitza
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ Cantor supports various mathematical applications as backends (provided in
+ external packages):
+  * Maxima Computer Algebra System (cantor-backend-maxima)
+  * R Project for Statistical Computing (cantor-backend-r)
+  * Sage Mathematics Software (cantor-backend-sage)
+  * Octave (cantor-backend-octave)
+  * Python (cantor-backend-python2 and cantor-backend-python3)
+  * Scilab (cantor-backend-scilab)
+  * Qalculate! (cantor-backend-qalculate)
+  * Lua (cantor-backend-lua)
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
+
 Package: cantor-backend-kalgebra
 Architecture: any
 Section: math
@@ -102,19 +166,47 @@
  .
  This package is part of the KDE education module.
 
+Package: libcantor-pythonbackend
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Base Python backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python language
+ (http://www.python.org/) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-python2
 Architecture: any
 Section: math
-Breaks: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
-Replaces: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
 Depends: python, ${misc:Depends}, ${shlibs:Depends}
-Description: Python backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Python language
+Description: Python2 backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python2 language
+ (http://www.python.org/) in Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: cantor-backend-python3
+Architecture: any
+Section: math
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}
+Description: Python3 backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python3 language
  (http://www.python.org/) in Cantor.
  .
  This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz

## cantor 15.07.90

=== debian/changelog ===
cantor (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:57:01 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libluajit-5.1-dev [i386 amd64],
+               libluajit-5.1-dev,
                libqalculate-dev,
                libqt5svg5-dev,
                libqt5xmlpatterns5-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=cantor-dbg

## cantor 15.08.0

=== debian/changelog ===
cantor (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:55:17 +0100

cantor (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Fix packaging for architectures without luajit.
    Changed dropped from 4:15.07.90-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 20:56:47 +0200

cantor (4:15.04.2-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libqalculate5v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Aug 2015 15:27:58 +0200

cantor (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Fix packaging for architectures without luajit.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jun 2015 13:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libluajit-5.1-dev,
+               libluajit-5.1-dev  [i386 amd64],
                libqalculate-dev,
                libqt5svg5-dev,
                libqt5xmlpatterns5-dev,
@@ -57,7 +57,7 @@
                python3-dev,
                qtbase5-dev,
                r-base-core
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
